%global srcname testinfra

Name:    python-%{srcname}
Version: 5.3.1
Release:    2%{?dist}
Summary: Unit testing for config-managed server state

License: ASL 2.0
URL:     https://github.com/philpep/testinfra
Source0:  %{pypi_source}

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(setuptools-scm)

BuildRequires: ansible-core


BuildRequires: python3dist(pywinrm)
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(paramiko)

BuildRequires: python3dist(sphinx)

%global _description %{expand:
With Testinfra you can write unit tests in Python to test actual state of your
servers configured by management tools like Salt, Ansible, Puppet, Chef and so
on.

Testinfra aims to be a Serverspec equivalent in python and is written as a
plugin to the powerful Pytest test engine.
}

%description %{_description}

%package -n python3-%{srcname}
Summary: %summary

Requires: ansible-core
Requires: python3dist(pywinrm)
Requires: python3dist(paramiko)

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

rm testinfra/backend/salt.py
sed -i "/'salt':/d" testinfra/backend/__init__.py

%build
%py3_build

sphinx-build-3 doc/source html
rm -vr html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{python3} -m pytest test -v

%files -n python3-%{srcname}
%license LICENSE
%doc html *.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Wed May 08 2024 Doris Chao <doriscchao@tencent.com> - 5.3.1-2
- debrand for opencloudos

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.3.1-1
- initial build
